<header>
  <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
    <div class="flex-grow-1">
      <a aria-label="Home" class="logo" routerLink="/">
        <svg class="reddit-icon-svg" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
          <g>
            <circle cx="10" cy="10" fill="#FF4500" r="10"></circle>
            <path d="M16.67,10A1.46,1.46,0,0,0,14.2,9a7.12,7.12,0,0,0-3.85-1.23L11,4.65,13.14,5.1a1,1,0,1,0,.13-0.61L10.82,4a0.31,0.31,0,0,0-.37.24L9.71,7.71a7.14,7.14,0,0,0-3.9,1.23A1.46,1.46,0,1,0,4.2,11.33a2.87,2.87,0,0,0,0,.44c0,2.24,2.61,4.06,5.83,4.06s5.83-1.82,5.83-4.06a2.87,2.87,0,0,0,0-.44A1.46,1.46,0,0,0,16.67,10Zm-10,1a1,1,0,1,1,1,1A1,1,0,0,1,6.67,11Zm5.81,2.75a3.84,3.84,0,0,1-2.47.77,3.84,3.84,0,0,1-2.47-.77,0.27,0.27,0,0,1,.38-0.38A3.27,3.27,0,0,0,10,14a3.28,3.28,0,0,0,2.09-.61A0.27,0.27,0,1,1,12.48,13.79Zm-0.18-1.71a1,1,0,1,1,1-1A1,1,0,0,1,12.29,12.08Z"
                  fill="#FFF">
            </path>
          </g>
        </svg>
        <span class="reddit-text">Spring Reddit Clone</span>
      </a>
    </div>
    <div class="flex-grow-1 float-right">
      <div *ngIf="isLoggedIn" class="float-right" ngbDropdown>
        <div aria-labelledby="dropdownBasic1" ngbDropdownMenu>
          <button (click)="goToUserProfile()" ngbDropdownItem>Profile</button>
          <button (click)="logout()" ngbDropdownItem>Logout</button>
        </div>
        <button class="user-details" id="dropdownBasic1" ngbDropdownToggle>
          <img class="account-icon" src="https://www.redditstatic.com/avatars/avatar_default_08_D4E815.png">
          {{username}}
        </button>
      </div>
      <div *ngIf="!isLoggedIn">
        <a class="float-right register mr-2" routerLink="/register">Register</a>
        <a class="float-right login mr-2" routerLink="/login">Login</a>
      </div>
    </div>
  </nav>
</header>
